[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TRawByteStringStream

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: classesh.inc line 1120

`type TRawByteStringStream = class(TBytesStream)`
`public`
`constructor Create(); overload;`
`function DataString;`
`function ReadString();`
`procedure WriteString();`
`end;`

## Inheritance

`TRawByteStringStream`
`TBytesStream` |  | Stream of bytes
`TMemoryStream` |  | Standard implementation of a stream that stores its data in memory
`TCustomMemoryStream` |  | Abstract stream that stores its data in memory.
`TStream` |  | Base class for streams.
`TObject` |  | Base class of all classes.